#!/usr/bin/env python3

import random
import string
import json

point_features = []

for i in range(0, 1000):
    point = [round(random.uniform(-180, 180), 2), round(random.uniform(-90, 90), 2)]
    id = ''.join(random.choices(string.ascii_letters + string.digits, k=10))

    point_features.append({"type": "Feature",
        "geometry": {
             "type": "Point",
             "coordinates": point
         },
        "properties": {
             "id": id,
             "title": id.upper()
               }
        })


feature_collection = {"type": "FeatureCollection", "features": point_features}

with open('sample-points.geojson', 'w') as outfile:
    json.dump(feature_collection, outfile)